org.apache.ignite.internal.processors.platform.utils

## Class PlatformFutureUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.utils.PlatformFutureUtils

    public class PlatformFutureUtils
    extends Object

Interop future utils.

### Nested Class Summary

Nested Classes
`static interface` `PlatformFutureUtils.Writer` Writer allowing special future result handling.

### Field Summary

Fields
`static int` `TYP_BOOL` Future type: boolean.
`static int` `TYP_BYTE` Future type: byte.
`static int` `TYP_CHAR` Future type: char.
`static int` `TYP_DOUBLE` Future type: double.
`static int` `TYP_FLOAT` Future type: float.
`static int` `TYP_INT` Future type: int.
`static int` `TYP_LONG` Future type: long.
`static int` `TYP_OBJ` Future type: object.
`static int` `TYP_SHORT` Future type: short.

### Constructor Summary

Constructors
Constructor and Description
`PlatformFutureUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PlatformListenable` `getListenable(IgniteFuture fut)` Gets the listenable.
`static PlatformListenable` `getListenable(IgniteInternalFuture fut)` Gets the listenable.
`static PlatformListenable` `listen(PlatformContext ctx, IgniteFuture fut, long futPtr, int typ, PlatformFutureUtils.Writer writer, PlatformTarget target)` Listen future.
`static PlatformListenable` `listen(PlatformContext ctx, IgniteFuture fut, long futPtr, int typ, PlatformTarget target)` Listen future.
`static PlatformListenable` `listen(PlatformContext ctx, IgniteInternalFuture fut, long futPtr, int typ, PlatformFutureUtils.Writer writer, PlatformTarget target)` Listen future.
`static PlatformListenable` `listen(PlatformContext ctx, IgniteInternalFuture fut, long futPtr, int typ, PlatformTarget target)` Listen future.
`static PlatformListenable` `listen(PlatformContext ctx, IgniteInternalFuture fut, long futPtr, PlatformFutureUtils.Writer writer, PlatformTarget target)` Listen future.
`static void` `listen(PlatformContext ctx, PlatformListenable listenable, long futPtr, int typ, @Nullable PlatformFutureUtils.Writer writer, PlatformTarget target)` Listen future.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYP_BYTE

    public static final int TYP_BYTE

Future type: byte.

See Also:
  Constant Field Values

#### TYP_BOOL

    public static final int TYP_BOOL

Future type: boolean.

See Also:
  Constant Field Values

#### TYP_SHORT

    public static final int TYP_SHORT

Future type: short.

See Also:
  Constant Field Values

#### TYP_CHAR

    public static final int TYP_CHAR

Future type: char.

See Also:
  Constant Field Values

#### TYP_INT

    public static final int TYP_INT

Future type: int.

See Also:
  Constant Field Values

#### TYP_FLOAT

    public static final int TYP_FLOAT

Future type: float.

See Also:
  Constant Field Values

#### TYP_LONG

    public static final int TYP_LONG

Future type: long.

See Also:
  Constant Field Values

#### TYP_DOUBLE

    public static final int TYP_DOUBLE

Future type: double.

See Also:
  Constant Field Values

#### TYP_OBJ

    public static final int TYP_OBJ

Future type: object.

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformFutureUtils

    public PlatformFutureUtils()

### Method Detail

#### listen

    public static PlatformListenable listen(PlatformContext ctx,
                                            IgniteInternalFuture fut,
                                            long futPtr,
                                            int typ,
                                            PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `fut` - Java future.
  `futPtr` - Native future pointer.
  `typ` - Expected return type.
Returns:
  Resulting listenable.

#### listen

    public static PlatformListenable listen(PlatformContext ctx,
                                            IgniteFuture fut,
                                            long futPtr,
                                            int typ,
                                            PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `fut` - Java future.
  `futPtr` - Native future pointer.
  `typ` - Expected return type.
Returns:
  Resulting listenable.

#### listen

    public static PlatformListenable listen(PlatformContext ctx,
                                            IgniteInternalFuture fut,
                                            long futPtr,
                                            int typ,
                                            PlatformFutureUtils.Writer writer,
                                            PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `fut` - Java future.
  `futPtr` - Native future pointer.
  `typ` - Expected return type.
  `writer` - Writer.
Returns:
  Resulting listenable.

#### listen

    public static PlatformListenable listen(PlatformContext ctx,
                                            IgniteFuture fut,
                                            long futPtr,
                                            int typ,
                                            PlatformFutureUtils.Writer writer,
                                            PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `fut` - Java future.
  `futPtr` - Native future pointer.
  `typ` - Expected return type.
  `writer` - Writer.
Returns:
  Resulting listenable.

#### listen

    public static PlatformListenable listen(PlatformContext ctx,
                                            IgniteInternalFuture fut,
                                            long futPtr,
                                            PlatformFutureUtils.Writer writer,
                                            PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `fut` - Java future.
  `futPtr` - Native future pointer.
  `writer` - Writer.
Returns:
  Resulting listenable.

#### getListenable

    public static PlatformListenable getListenable(IgniteInternalFuture fut)

Gets the listenable.

Parameters:
  `fut` - Future.
Returns:
  Platform listenable.

#### getListenable

    public static PlatformListenable getListenable(IgniteFuture fut)

Gets the listenable.

Parameters:
  `fut` - Future.
Returns:
  Platform listenable.

#### listen

    public static void listen(PlatformContext ctx,
                              PlatformListenable listenable,
                              long futPtr,
                              int typ,
                              @Nullable
                              @Nullable PlatformFutureUtils.Writer writer,
                              PlatformTarget target)

Listen future.

Parameters:
  `ctx` - Context.
  `listenable` - Listenable entry.
  `futPtr` - Native future pointer.
  `typ` - Expected return type.
  `writer` - Optional writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020